<?php
session_start();

   /***********************************************************************
   *    Copyright  2002 - 2005 Hewlett-Packard Development Company, L.P. *
   ***********************************************************************/


$_SESSION["page"] = "idstatus.php";
$_SESSION["chrashedHere"] = "";
$aTcHasCrashed = false;
?>
<html>
<head>
  <meta http-equiv='content-type' content='text/html; charset=UTF-8'>
  <title>HP Insight Diagnostics</title>
  <link rel='stylesheet' type='text/css' href='stylesheets/main.css'>
  <style> body { background: white; } </style>
</head>
<body onLoad="setTimeout('nextPage()', 1000)">
<?php
  include "fefunctions.php";
  $pid = $_REQUEST["pid"];

  $idErrors = "";
  $idStatus = "";
  $statusCommand = sprintf("<getProcessStatus processID='%s' />", $pid);

  ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $statusCommand, $idStatus, $idErrors);
  if (GetLanguage() == "ja")
    $xmldoc = new DomDocument(utf8_encode($idStatus));
  else
    $xmldoc = new DomDocument($idStatus);

  //$xmldoc = new DomDocument("<processStatus state='done' processID='123' percentComplete='100' currentTC='libtccpu'/>");
  $rootElement = $xmldoc->document_element();
  
  $percentComplete = $rootElement->get_attribute("percentComplete");

  if (strlen($percentComplete) == 0) // if empty
    $percentComplete = 0; // set to zero
  $state = $rootElement->get_attribute("state");
  
?>
  <table align=center>
    <tr>
      <td class=head align=center>
<?php
      printf("%s", TR("MSG_LOADING"));
?>
 HP Insight Diagnostics
       </td>
    </tr>
    <tr>
      <td align=center>
<?php
      printf("%s", TR("MSG_ID_WAIT"));
?>
</td>
    </tr>
    <tr>
    <?php
      if ($state == "running")
        printf("<td align=center><img src='hourglassani.gif'></td>\n");
    ?>
    </tr>
  </table>
  <table align=center>
    <tr>
      <td colspan=2>
        <?php  printf("<center>%s:</center><br>\n", TR("MSG_TEST_COMPONENT")); ?>
	  </td>
    </tr>    
<?php
  $Xpath = @xpath_new_context($rootElement);
	$processStatuss = @xpath_eval($Xpath, "/processStatus");
	$num_processStatuss = count($processStatuss->nodeset); 
	for ($i=0; $i < $num_processStatuss; $i++)
	{     
	  $processStatus = $processStatuss->nodeset[$i];
    $component = $processStatus->get_attribute("component");
    $percentComplete = $processStatus->get_attribute("percentComplete");
    $tcstate = $processStatus->get_attribute("state");
    printf("<tr><td>%s<b>%s</b></td>\n", $statusgif, $component);
    /*  removed progress bars ...
	  printf("<td width=400>\n<div style='border:thin inset; width:100%%;'>\n");
	  printf("<div id='idProgress' style='background-color:#3399CC; width:%s%%'>\n", $percentComplete);
	  printf("<center><b>%s%%</b></center>\n</div>\n</div>\n</td>", $percentComplete);
    */
    printf("<td>");
    if ($tcstate == "completed")
      printf("<img src='ok.gif'> %s", TR("MSG_COMPLETED"));
    else if ($tcstate == "crashed")
    {
      $aTcHasCrashed = true;
      printf("<img src='failed.gif'> %s", TR("MSG_ABNORMAL_TERMINATION"));
    }
    else
      printf("%s...", TR("MSG_LOADING"));
    printf("</td>\n</tr>\n");
  }  
  printf("</table>\n");

  if ($state != "running")
  {
    if ($aTcHasCrashed)
    {
      if ($_REQUEST["cfg"] == "1")
        $hpdiagslocation = sprintf("window.location = 'configverifyform.php?pid=%s';", $pid);
      else
        $hpdiagslocation = sprintf("window.location='hpdiags.php?pid=%s';", $_REQUEST["pid"]);
      printf("<center>%s<br>%s</center>", TR("MSG_TC_LOAD_FAILURE"), MakeButton(TR("Continue"), $hpdiagslocation));
    }
    
    $resultCommand = sprintf("<getProcessResult processID='%s' />", $pid);
    ExecuteIOCommand($_SESSION["diagsDirectory"] . "hpdiagsai", $resultCommand, $_SESSION["idResult"], $idErrors);
    if ($state == "crashed")
    {
      printf("<center><b>%s</b></center><br>\n", TR("MSG_ABNORMAL_TERMINATION"));
      $idXml = new DomDocument($_SESSION["idResult"]);
      $idXpath = xpath_new_context($idXml->document_element());
      $errors = xpath_eval($idXpath, "/error");
      foreach ($errors->nodeset as $errorNode)
      {
        printf("<center><b>%s</b></center><br>\n", $errorNode->get_content());
      }
    }
  }
?>
<script language='JavaScript'>
function keyHit(evt) 
{
  thiskey = window.event.keyCode; 
  if (thiskey == 3) // CTRL + Scroll-Lock 
  {
    window.location = "hpdiags.php?pid=<?php echo $pid ?>&man=1";
  }
}
                  
function nextPage(){
<?php
  if ($state == "running")
  {
    if ($_REQUEST["cfg"] == "1")
      printf("window.location = 'idstatus.php?pid=%s&cfg=1';", $pid);
    else
      printf("window.location = 'idstatus.php?pid=%s';", $pid);
  }
  else if ($state != "crashed" && !$aTcHasCrashed && $percentComplete == "100") // if passed
  {
    printf("document.onkeydown = keyHit;");
    if ($_REQUEST["cfg"] == "1")
      printf("window.location = 'configverifyform.php?pid=%s';", $pid);
    else
    	printf("window.location = 'hpdiags.php?pid=%s';", $pid);  
  }
    
?>
}</script>
<script language="Javascript" src="norightclick.js"></script></body>
</html>
